Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.annotations
Enum ResultCheckStyle

    java.lang.Object
      java.lang.Enum<ResultCheckStyle>
          org.hibernate.annotations.ResultCheckStyle

All Implemented Interfaces:
  Serializable, Comparable<ResultCheckStyle>

    public enum ResultCheckStyle

extends Enum<ResultCheckStyle>

Possible checks on Sql Insert, Delete, Update

Author:
  L?szl? Benke

Enum Constant Summary
`COUNT` Perform row-count checking.
`NONE` Do not perform checking.
`PARAM` Essentially the same as `COUNT` except that the row count actually comes from an output parameter registered as part of a `CallableStatement`.

Method Summary
`static ResultCheckStyle` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ResultCheckStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final ResultCheckStyle NONE

  Do not perform checking. Either user simply does not want checking, or is indicating a `CallableStatement` execution in which the checks are being performed explicitly and failures are handled through propogation of `SQLException`s.

### COUNT

    public static final ResultCheckStyle COUNT

  Perform row-count checking. Row counts are the int values returned by both `PreparedStatement.executeUpdate()` and `Statement.executeBatch()`. These values are checked against some expected count.

### PARAM

    public static final ResultCheckStyle PARAM

  Essentially the same as `COUNT` except that the row count actually comes from an output parameter registered as part of a `CallableStatement`. This style explicitly prohibits statement batching from being used...

Method Detail

### values

    public static final ResultCheckStyle[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ResultCheckStyle c : ResultCheckStyle.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ResultCheckStyle valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD